<?php

namespace Bydedi\Tracking\FacebookPixel;

/**
 * Class FacebookPixel
 * @package Bydedi\Tracking\FacebookPixel
 */
class FacebookPixel
{
    protected static $config = null;

    public static function init($config = array())
    {
        self::$config = $config;
    }

    private static function initialized()
    {
        return is_array(self::$config) && !empty(self::$config['id']) && !empty(self::$config["position"]);
    }

    protected static function triggerErrorIfNotInit()
    {
        if (!self::initialized()) {
            trigger_error("FacebookPixel n'est pas initailisé", E_USER_WARNING);
        }
    }

    public static function common($param)
    {
        if (self::initialized() && isset($param['smarty'])) {

            $tracker = "
                <!-- Facebook Pixel Code -->
                <script>
                    !function(f,b,e,v,n,t,s)
                    {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
                    n.callMethod.apply(n,arguments):n.queue.push(arguments)};
                    if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
                    n.queue=[];t=b.createElement(e);t.async=!0;
                    t.src=v;s=b.getElementsByTagName(e)[0];
                    s.parentNode.insertBefore(t,s)}(window,document,'script',
                    'https://connect.facebook.net/en_US/fbevents.js');
                    fbq('init', '".self::$config["id"]."'); 
                    fbq('track', 'PageView');
                </script>
                <noscript>
                    <img height=\"1\" width=\"1\" src=\"https://www.facebook.com/tr?id=".self::$config["id"]."&ev=PageView&noscript=1\"/>
                </noscript>
                <!-- End Facebook Pixel Code -->
            ";

            $param['smarty']->reassign(self::$config['position'], $tracker);
        }
    }

    public static function getVisites($param = array())
    {
        self::common($param);
    }
}
